Subject: Re: bug#32434: configure option without-xim is non-standard

From: Richard Stallman <[email-masked]>
Date: Wed, 15 Aug 2018 22:41:58 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I'd always assumed the configure option --without-xim caused Emacs to
  > be built without XIM support. In fact, all it does is toggle the runtime
  > default as to whether XIM is *used* or not.

  > Apparently this is intentional, see thread at
  > http://lists.gnu.org/archive/html/emacs-devel/2003-07/msg00061.html

  > I think it's wrong to have a build-time option for a feature that can be
  > controlled at run-time (by X resources).

I agree.  Can it be controlled by a Lisp variable?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)